# List Search

> Source: https://truto.one/docs/api-reference/unified-search-api/search/list/

`GET /unified/search/search`

Resource: **Search** · API: **Unified Search API**

## Supported integrations

Airtable, Asana, Azure Active Directory, Azure DevOps, Basecamp, Bitbucket, Close, Coda, Confluence, Confluence On Prem , Dropbox - Business, Dropbox - Personal, Freshsales, GitHub, Gmail, Google, Google Calendar, Google Contacts, Google Drive, googlepeople, HubSpot, Intercom, Jira, Linear, Microsoft 365, Monday.com, Microsoft Teams, Notion, OneDrive, Outlook Mail, Readme, Salesforce, SharePoint, Shortcut, Slack, Trello, Zendesk, Zoho CRM, Zoho Desk, Zoho Mail, Zoho Projects, Zoho Recruit

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`search_term`** _(string)_
  The search term.
- **`workspace`** _(object)_
  The Airtable Base in which you want to search for the records.
- **`collection`** _(object)_
  The Airtable Table in which you want to search for the records.
- **`workspace_id`** _(string)_
  The unique identifier for the workspace.
- **`type`** _(string)_
  The type of the entity to search.
  Allowed: `account`, `application`, `article`, `branch`, `call`, `campaign`, `candidate`, `code`, `collection`, `commit`, `contact`, `conversation` (+24 more)
- **`collection_id`** _(string)_
  The unique identifier of the collection to search within. This is required only when type is either of ticket, branch, tag, fork or pull_request.
- **`org_name`** _(string)_
  The name of the organisation to search within
- **`repo_name`** _(string)_
  The name of the repo to search within
- **`product`** _(string)_
  Select the product for which you want to retrieve.
  Allowed: `azure_active_directory`, `calender`, `contacts`, `drive`, `gmail`, `onedrive`, `sharepoint`, `teams`
- **`calendar_id`** _(string)_
- **`search_in_saved_contacts`** _(boolean)_
  Allowed: `false`, `true`
- **`collections`** _(array<object>)_
- **`account_id`** _(string)_
  The id of the account to search within
- **`organization`** _(object)_

## Response body

- **`result`** _(array<object>)_
  List of Search
  - **`id`** _(string, required)_
    The unique identifier of the entity.
  - **`title`** _(string)_
    The title of the entity.
  - **`description`** _(string)_
    The description of the entity.
  - **`type`** _(string)_
    The type of the entity.
  - **`urls`** _(array<object>)_
    The urls of the entity.
    - **`url`** _(string)_
      The url of the entity.
    - **`type`** _(string)_
      The type of the url.
      Allowed: `truto_api`, `truto_download`
    - **`unified_model`** _(string)_
      Present when type is truto_api or truto_download. Specifies the unified model of the url.
    - **`resource`** _(string)_
      Present when type is truto_api or truto_download. Specifies the resource of the url.
    - **`file_name`** _(string)_
      The name of file. This is available only when the type is truto_download.
    - **`mime_type`** _(string)_
      The mime type of file. This is available only when the type is truto_download.
  - **`meta`** _(object)_
    The meta data of the entity.
  - **`created_at`** _(string)_
    The date when the entity was created.
  - **`updated_at`** _(string)_
    The date when the entity was updated.
  - **`children`** _(array<object>)_
    The children of the entity. Follows the same schema as the parent.
  - **`related_resources`** _(array<object>)_
    - **`url`** _(string)_
      The url of the entity.
    - **`type`** _(string)_
      The type of the url.
      Allowed: `truto_api`, `truto_download`
    - **`unified_model`** _(string)_
      Present when type is truto_api or truto_download. Specifies the unified model of the url.
    - **`resource`** _(string)_
      Present when type is truto_api or truto_download. Specifies the resource of the url.
    - **`method`** _(string)_
      The Truto method to call
      Allowed: `list`, `get`
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/search/search?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/search/search?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/search/search"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'search',
  'search',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "search",
        "search",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
